Récupérer les types d'action
curl --request GET \
--url https://api.hubapi.com/automation/v4/2027-03-beta/action-types \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/automation/v4/2027-03-beta/action-types"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/automation/v4/2027-03-beta/action-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/automation/v4/2027-03-beta/action-types",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/automation/v4/2027-03-beta/action-types"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hubapi.com/automation/v4/2027-03-beta/action-types")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/automation/v4/2027-03-beta/action-types")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": [
{
"actionName": "<string>",
"actionTypeId": "<string>",
"groupId": "<string>",
"inputFieldDefinitions": [
{
"fieldDefinitionType": "SIMPLE",
"isRequired": true,
"name": "<string>",
"type": "bool",
"description": "<string>",
"label": "<string>"
}
],
"objectTypeIds": [
"<string>"
]
}
]
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Types d'action
Retrieve action types
Récupérer une liste des types d’actions de workflow disponibles. Ce point de terminaison peut être utilisé pour comprendre les types d’actions qui peuvent être intégrés dans les workflows d’automatisation, ce qui est utile pour les développeurs et développeuses souhaitant personnaliser ou étendre les capacités de workflow.
GET
/
automation
/
v4
/
2027-03-beta
/
action-types
Récupérer les types d'action
curl --request GET \
--url https://api.hubapi.com/automation/v4/2027-03-beta/action-types \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/automation/v4/2027-03-beta/action-types"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/automation/v4/2027-03-beta/action-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/automation/v4/2027-03-beta/action-types",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/automation/v4/2027-03-beta/action-types"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.hubapi.com/automation/v4/2027-03-beta/action-types")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/automation/v4/2027-03-beta/action-types")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"results": [
{
"actionName": "<string>",
"actionTypeId": "<string>",
"groupId": "<string>",
"inputFieldDefinitions": [
{
"fieldDefinitionType": "SIMPLE",
"isRequired": true,
"name": "<string>",
"type": "bool",
"description": "<string>",
"label": "<string>"
}
],
"objectTypeIds": [
"<string>"
]
}
]
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Dernière modification le 6 octobre 2026